//
//  AL3DCaptureReminderView.m
//  GMAlpha
//
//  Created by Q14 on 2018/11/28.
//  Copyright © 2018 Gengmei. All rights reserved.
//

#import "AL3DCaptureReminderView.h"

@implementation AL3DCaptureReminderView

- (void)setup {
    [super setup];
    
    GMView *remindBg = [[GMView alloc] init];
    remindBg.layer.cornerRadius = 19;
    remindBg.clipsToBounds = YES;
    remindBg.backgroundColor = RGBCOLOR_HEX(0x0093FF);
    [self addSubview:remindBg];
    [remindBg mas_makeConstraints:^(MASConstraintMaker *make) {
        make.top.mas_equalTo(30);
        make.height.mas_equalTo(38);
        make.centerX.mas_equalTo(0);
    }];
    
    _reminderLabel = [GMLabel labelWithTextColor:UIColor.whiteColor fontSize:18];
    _reminderLabel.text = @"请缓慢向左旋转45度";
    [remindBg  addSubview:_reminderLabel];
    [_reminderLabel mas_makeConstraints:^(MASConstraintMaker *make) {
        make.top.mas_equalTo(10);
        make.bottom.mas_equalTo(-10);
        make.left.mas_equalTo(25);
        make.right.mas_equalTo(-25);
    }];
    
    _stepView = [[ALStepView alloc] initWithFrame:CGRectMake(30, 100, MAINSCREEN_WIDTH - 60, 80)];
    [self addSubview:_stepView];
}


@end
